Skip to navigation

Hunyuan Image Models

View as Markdown

Use POST /images to create a Hunyuan image generation task. The example includes optional route and route_mode fields; remove them to use the default available route.

curl --request POST "https://api.getopenmodels.com/v1/images" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $OM_API_KEY" \
-d '{
"model": "hy-image-v3.0",
"route": { "provider": "<provider-for-this-model>" },
"route_mode": "balanced",
"prompt": "A small river flowing",
"cfg_scale": 0.5,
"mode": "std",
"duration": "5",
"aspect_ratio": "16:9"
}'

Use the returned ID to retrieve the generated image result.

curl "https://api.getopenmodels.com/v1/images/{id}" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $OM_API_KEY"